PETSc version 3.15.5
Fix/Edit manual page

# DMStagGetLocationDOF

Get number of DOF associated with a given point in a DMStag grid

### Synopsis

    PetscErrorCode DMStagGetLocationDOF(DM dm,DMStagStencilLocation loc,PetscInt *dof)

Not Collective

### Input Parameters

| dm | - the DMStag object
| loc | - grid point (see DMStagStencilLocation)

### Output Parameter

| dof | - the number of dof (components) living at loc in dm

### See Also

DMSTAG, DMStagStencilLocation, DMStagStencil, DMDAGetDof()

### Level

intermediate

### Location

src/dm/impls/stag/stagstencil.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages